.main-services,
.common-services {
    margin-bottom: 80px;
}
.main-services__grid {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-gap: 20px;
}
.main-services__i {
    display: flex;
    flex-direction: column;
    padding: 16px 50px 16px 16px;
    border-radius: 24px;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: bottom right;
    min-height: 239px;
    position: relative;
}
.main-services__i:nth-child(5n+1) {
    grid-row: span 2;
}
.main-services__i-title {
    font-size: 31px;
    line-height: 32px;
    color: var(--blue);
    text-align: left;
    margin-bottom: 0;
    margin-top: auto;
}
.main-services__i:nth-child(5n+1) .main-services__i-title {
    font-size: 40px;
    line-height: 48px;
    margin-top: 0;
}
.main-services__icon {
    position: absolute;
    right: 16px;
    bottom: 10px;
    width: 40px;
    height: 40px;
    background-image: url("/local/images/icons/icon-arrow-right-green.svg");
}

.common-services {
    background-color: #F2F7FA;
    padding: 40px 0;
}
.common-services__i {
    display: flex;
    align-items: center;
    background-color: white;
    border-radius: 24px;
}
.common-services__i-title {
    font-size: 16px;
    line-height: 24px;
    padding: 8px;
    text-align: left;
    margin: 0;
}
.common-services__grid {
    display: flex;
    flex-wrap: wrap;
    grid-gap: 12px;
}

@media screen and (max-width: 1200px) {
    .main-services__grid {
        grid-template-columns: 1fr 1fr;
    }
    .main-services__i:nth-child(5n+1) {
        grid-row: span 1;
    }
}

@media screen and (max-width: 800px) {
    .main-services,
    .common-services {
        margin-bottom: 40px;
    }
    .main-services__grid {
        grid-template-columns: 1fr;
        grid-gap: 10px;
    }
    .main-services__i-title,
    .main-services__i:nth-child(5n+1) .main-services__i-title {
        font-size: 24px;
        line-height: 31px;
        margin-top: auto;
    }
    .main-services__i {
        padding: 10px 40px 10px 10px;
    }
    .common-services__i {
        max-width: 49%;
        flex-direction: column;
        padding: 12px 18px;
        flex-grow: 1;
    }
    .common-services__i-title {
        text-align: center;
        font-size: 13px;
        line-height: 19px;
    }
    .common-services__grid {
        grid-gap: 5px;
    }
}